/*
 * MOUSE.H Version 1.00 (C)1996 HUDSON SOFT
 * マウス制御ライブラリ用 Ｃコンパイラ用ヘッダーファイル(MOUSE.H)
 */
#ifndef _MOUSE_H_
#define _MOUSE_H_

#include <system.h>

#ifndef	SIG_MOUSE
#define SIG_MOUSE 0xd
#endif
#define DEF_MICKEY 400

#define	MOUSE_RSW 0x80000000
#define	MOUSE_LSW 0x40000000

void init_mouse_reset_check(int padid,short delay);
void init_get_mouse_pad(int padid,short delay);
void init_get_mouse(int padid,short delay);
void get_mouse_pad(void);
void get_mouse(void);
int get_mouse_mode(void);
u_int mouse_getdt(int no);
u_int mouse_curgt(int no);
int mouse_curst(int posx,int posy,int no);
int mouse_limit(int xsta,int ysta,int xend,int yend,int no);
int mouse_mickey(u_short mickey,int no);

#endif /* _MOUSE_H_ */

